<div class="d-flex flex-column h-100">
  <div class="manage-card-dashboard-title">
    {{@title}}
  </div>
  <div class="manage-card-layout manage-card-dashboard flex-fill" ...attributes {{did-insert this.setup}}>
    <div class="cover mb-3 {{unless this.hasCover 'no-cover'}}" style={{this.bgCover}}>
      {{#if @onSelect}}
        <ChkRecordSelection @record={{this.record}} @selection={{@selection}} @onSelect={{@onSelect}} />
      {{/if}}
    </div>
    <div class="mb-2 name-container">
      <span class="badge text-bg-{{this.visibilityClass}} float-end visibility">{{t this.visibilityText}}</span>

      <span class="name title">{{@record.title}}</span>
    </div>

    <div class="action-container btn-group w-100">
      <LinkTo class="btn btn-main-action" @route={{this.route}} @model={{@record.id}}>
        {{t "manage-section.open"}}
      </LinkTo>

      {{#if @record.canEdit}}
        <Dropdown @isDropdownToggle={{true}}
          @toggleClass="btn btn-outline-secondary dropdown-toggle dropdown-toggle-split btn-open-options">
          <ModelActions::Record @record={{@record}} @onDelete={{@onDelete}} />
        </Dropdown>
      {{/if}}
    </div>
  </div>
</div>